﻿'' =======================================================
'' Simple Shutdown Scheduler (SSS)
'' Copyright (c) 2008-2009 Alain Descotes (violent_ken)
'' https://sourceforge.net/projects/sshutdown/
'' =======================================================


'' SSS is free software; you can redistribute it and/or modify
'' it under the terms of the GNU General Public License as published by
'' the Free Software Foundation; either version 3 of the License, or
'' (at your option) any later version.
''
'' SSS is distributed in the hope that it will be useful,
'' but WITHOUT ANY WARRANTY; without even the implied warranty of
'' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
'' GNU General Public License for more details.
''
'' You should have received a copy of the GNU General Public License
'' along with SSS; if not, see http://www.gnu.org/licenses/.


'Option Strict On

'Imports System.Runtime.InteropServices

'Public Class Interop

'    Public Const FILE_MAP_READ As Integer = SECTION_MAP_READ
'    Public Const FILE_MAP_WRITE As Integer = SECTION_MAP_WRITE
'    Public Const PAGE_READWRITE As Integer = &H4
'    Public Const SECTION_MAP_READ As Integer = &H4
'    Public Const SECTION_MAP_WRITE As Integer = &H2

'    Public Const SEE_MASK_INVOKEIDLIST As Integer = &HC
'    Public Const SEE_MASK_NOCLOSEPROCESS As Integer = &H40
'    Public Const SEE_MASK_FLAG_NO_UI As Integer = &H400

'    <Flags()> _
'    Public Enum FileMapAccess As UInteger
'        FileMapCopy = &H1
'        FileMapWrite = &H2
'        FileMapRead = &H4
'        FileMapAllAccess = &H1F
'        fileMapExecute = &H20
'    End Enum

'    Public Enum WMI_SHUTDOWN_VALUES As Integer
'        [LogOff] = 0
'        [Shutdown] = 1
'        [Reboot] = 2
'        [PowerOff] = 8
'        [Force] = 4
'    End Enum

'    Public Enum STANDARD_RIGHTS As UInteger
'        WRITE_OWNER = &H80000
'        WRITE_DAC = &H40000
'        READ_CONTROL = &H20000
'        DELETE = &H10000
'        SYNCHRONIZE = &H100000
'        STANDARD_RIGHTS_REQUIRED = &HF0000
'        STANDARD_RIGHTS_WRITE = READ_CONTROL
'        STANDARD_RIGHTS_EXECUTE = READ_CONTROL
'        STANDARD_RIGHTS_READ = READ_CONTROL
'        STANDARD_RIGHTS_ALL = &H1F0000
'        SPECIFIC_RIGHTS_ALL = &HFFFF
'        ACCESS_SYSTEM_SECURITY = &H1000000
'        MAXIMUM_ALLOWED = &H2000000
'        GENERIC_WRITE = &H40000000
'        GENERIC_EXECUTE = &H20000000
'        '        GENERIC_READ = &H80000000
'        GENERIC_ALL = &H10000000
'    End Enum

'    Public Enum PROCESS_RIGHTS As UInteger
'        PROCESS_TERMINATE = &H1
'        PROCESS_CREATE_THREAD = &H2
'        PROCESS_SET_SESSIONID = &H4
'        PROCESS_VM_OPERATION = &H8
'        PROCESS_VM_READ = &H10
'        PROCESS_VM_WRITE = &H20
'        PROCESS_DUP_HANDLE = &H40
'        PROCESS_CREATE_PROCESS = &H80
'        PROCESS_SET_QUOTA = &H100
'        PROCESS_SET_INFORMATION = &H200
'        PROCESS_QUERY_INFORMATION = &H400
'        PROCESS_SUSPEND_RESUME = &H800
'        PROCESS_QUERY_LIMITED_INFORMATION = &H1000
'        PROCESS_ALL_ACCESS = STANDARD_RIGHTS.STANDARD_RIGHTS_REQUIRED Or STANDARD_RIGHTS.SYNCHRONIZE Or &HFFFF
'    End Enum

'    <Flags()> _
'   Public Enum FileMapProtection As UInteger
'        PageReadonly = &H2
'        PageReadWrite = &H4
'        PageWriteCopy = &H8
'        PageExecuteRead = &H20
'        PageExecuteReadWrite = &H40
'        SectionCommit = &H8000000
'        SectionImage = &H1000000
'        SectionNoCache = &H10000000
'        SectionReserve = &H4000000
'    End Enum

'    Public Enum ExitFlags As Integer
'        Logoff = &H0
'        Shutdown = &H1
'        Reboot = &H2
'        Poweroff = &H8
'        RestartApps = &H40
'        Force = &H4
'        ForceIfHung = &H10
'    End Enum

'    <DllImport("kernel32.dll")> _
'    Public Shared Function GetTickCount() As UInteger
'    End Function

'    <DllImport("kernel32.dll", SetLastError:=True, CharSet:=CharSet.Auto)> _
'    Public Shared Function CreateFileMapping(ByVal hFile As IntPtr, ByVal lpFileMappingAttributes As IntPtr, ByVal flProtect As FileMapProtection, ByVal dwMaximumSizeHigh As UInteger, ByVal dwMaximumSizeLow As UInteger, <MarshalAs(UnmanagedType.LPTStr)> ByVal lpName As String) As IntPtr
'    End Function

'    <DllImport("kernel32.dll", SetLastError:=True)> _
'    Public Shared Function OpenFileMapping(ByVal dwDesiredAccess As UInteger, ByVal bInheritHandle As Boolean, ByVal lpName As String) As IntPtr
'    End Function

'    <DllImport("kernel32.dll", SetLastError:=True)> _
'    Public Shared Function UnmapViewOfFile(ByVal lpBaseAddress As IntPtr) As Boolean
'    End Function

'    <DllImport("uxtheme.dll", CharSet:=CharSet.Unicode, ExactSpelling:=True)> _
'    Public Shared Function SetWindowTheme(ByVal hWnd As IntPtr, ByVal appName As String, ByVal partList As String) As Integer
'    End Function

'    <DllImport("kernel32.dll", SetLastError:=True)> _
'    Public Shared Function MapViewOfFile(ByVal hFileMappingObject As IntPtr, ByVal dwDesiredAccess As FileMapAccess, ByVal dwFileOffsetHigh As UInteger, ByVal dwFileOffsetLow As UInteger, ByVal dwNumberOfBytesToMap As UInteger) As IntPtr
'    End Function

'    <DllImport("kernel32.dll", SetLastError:=True)> _
'    Public Shared Function GetCurrentProcessId() As Integer
'    End Function

'    <DllImport("kernel32.dll", SetLastError:=True)> _
'    Public Shared Function CloseHandle(ByVal hObject As IntPtr) As Integer
'    End Function

'    <DllImport("kernel32.dll", SetLastError:=True)> _
'    Public Shared Sub ExitProcess(ByVal ExitCode As Integer)
'    End Sub

'    <DllImport("Shell32", CharSet:=CharSet.Auto, SetLastError:=True)> _
'    Public Shared Function ShellExecuteEx(ByRef lpExecInfo As SHELLEXECUTEINFO) As Boolean
'    End Function

'    <DllImport("user32.dll", SetLastError:=True)> _
'    Public Shared Function ExitWindowsEx(ByVal flags As ExitFlags, ByVal reason As Integer) As Boolean
'    End Function

'    <DllImport("powrprof.dll", SetLastError:=True)> _
'    Public Shared Function SetSuspendState(ByVal Hibernate As Boolean, ByVal ForceCritical As Boolean, ByVal DisableWakeEvent As Boolean) As Boolean
'    End Function

'    <DllImport("kernel32.dll", SetLastError:=True)> _
'    Public Shared Function OpenProcess(ByVal DesiredAccess As PROCESS_RIGHTS, ByVal InheritHandle As Integer, ByVal ProcessId As Integer) As IntPtr
'    End Function

'    <DllImport("kernel32.dll")> _
'    Public Shared Function SetProcessWorkingSetSize(ByVal hwProc As IntPtr, ByVal minimumSize As Integer, ByVal maximumSize As Integer) As Integer
'    End Function

'    <DllImport("user32.dll", SetLastError:=True)> _
'    Public Shared Function LockWorkStation() As Boolean
'    End Function

'    Public Structure SHELLEXECUTEINFO
'        Public cbSize As Integer
'        Public fMask As Integer
'        Public hwnd As IntPtr
'        <MarshalAs(UnmanagedType.LPTStr)> Public lpVerb As String
'        <MarshalAs(UnmanagedType.LPTStr)> Public lpFile As String
'        <MarshalAs(UnmanagedType.LPTStr)> Public lpParameters As String
'        <MarshalAs(UnmanagedType.LPTStr)> Public lpDirectory As String
'        Dim nShow As Integer
'        Dim hInstApp As IntPtr
'        Dim lpIDList As IntPtr
'        <MarshalAs(UnmanagedType.LPTStr)> Public lpClass As String
'        Public hkeyClass As IntPtr
'        Public dwHotKey As Integer
'        Public hIcon As IntPtr
'        Public hProcess As IntPtr
'    End Structure

'End Class
