﻿' =======================================================
' Simple Shutdown Scheduler (SSS)
' Copyright (c) 2008-2009 Alain Descotes (violent_ken)
' https://sourceforge.net/projects/sshutdown/
' =======================================================


' SSS is free software; you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation; either version 3 of the License, or
' (at your option) any later version.
'
' SSS is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with SSS; if not, see http://www.gnu.org/licenses/.


Option Strict On

Namespace Native.Api

    Public Class NativeConstants

        ' For file mapping
        Public Const FILE_MAP_READ As Integer = SECTION_MAP_READ
        Public Const FILE_MAP_WRITE As Integer = SECTION_MAP_WRITE
        Public Const PAGE_READWRITE As Integer = &H4
        Public Const SECTION_MAP_READ As Integer = &H4
        Public Const SECTION_MAP_WRITE As Integer = &H2

        ' Invalid handle
        Public Shared ReadOnly InvalidHandleValue As New IntPtr(-1)

        ' For OpenProcess()
        Public Const Process_QueryInformation As UInteger = &H400
        Public Const Process_SetQuota As UInteger = &H100

        ' For OpenProcessToken() & GetTokenInformation
        Public Const Token_Privilege As UInteger = &H3
        Public Const Token_Query As UInteger = &H8
        Public Const Token_TokenElevationType As UInteger = &H12
        Public Const Token_AdjustPrivileges As UInteger = &H20

    End Class

End Namespace
